Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#4217 closed enhancement (fixed)

Change status code for nested obtain of MrsP semaphores

Reported by: Sebastian Huber Owned by: Sebastian Huber
Priority: normal Milestone: 6.1
Component: rtems Version: 6
Severity: normal Keywords: qualification
Cc: Blocked By:
Blocking:

Description

Return RTEMS_INCORRECT_STATE to indicate a nested obtain since this is a kind of deadlock. This status code is also used for other deadlocks.

Change History (3)

comment:1 Changed on 01/21/21 at 09:11:11 by Sebastian Huber <sebastian.huber@…>

In [changeset:"8ee22b29751f7bd984f06695a6db0667757bcd07/rtems" 8ee22b2/rtems]:

mrsp: Change error status for a nested seize

Return STATUS_DEADLOCK (RTEMS_INCORRECT_STATE) to indicate a nested
seize since this is a kind of deadlock. This status code is also used
for other deadlocks.

Update #4217.

comment:2 Changed on 06/18/21 at 09:24:45 by Sebastian Huber

Keywords: qualification added

comment:3 Changed on 09/29/21 at 14:12:22 by Sebastian Huber

Resolution: fixed
Status: assignedclosed

Documentation was also adjusted.

Note: See TracTickets for help on using tickets.